package com.ruoyi.post.mapper;

import com.ruoyi.post.domain.PostBulletin;

import java.util.List;

/**
 * @Author HuiANan
 * @Date 2023/1/13 17:03
 * @Exegesis:
 */
public interface PostBulletinMapper {
    /**
     * 查询通知公告管理;
     *
     * @param noticeId 公告ID;
     * @return 公告信息;
     */
    public PostBulletin selectPostBulletinByNoticeId(Integer noticeId);

    /**
     * 查询通知公告管理;
     *
     * @param postBulletin 公告信息;
     * @return 公告集合;
     */
    public List<PostBulletin> selectPostBulletinList(PostBulletin postBulletin);

    /**
     * 新增通知公告管理;
     *
     * @param postBulletin 公告信息;
     * @return 结果
     */
    public int insertPostBulletin(PostBulletin postBulletin);

    /**
     * 修改通知公告管理;
     *
     * @param postBulletin 公告信息;
     * @return 结果
     */
    public int updatePostBulletin(PostBulletin postBulletin);

    /**
     * 删除通知公告管理;
     *
     * @param noticeId 公告ID;
     * @return 结果
     */
    public int deletePostBulletinByNoticeId(Integer noticeId);

    /**
     * 批量删除通知公告管理;
     *
     * @param noticeIds 需要删除的公告ID
     * @return 结果
     */
    public int deletePostBulletinByNoticeIds(Integer[] noticeIds);
}
