package com.ruoyi.post.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.post.domain.PostBulletin;
import com.ruoyi.post.mapper.PostBulletinMapper;
import com.ruoyi.post.service.IPostBulletinService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author HuiANan
 * @Date 2023/1/13 17:19
 * @Exegesis:
 */
@Service
public class PostBulletinServiceImpl implements IPostBulletinService
{
    @Resource
    private PostBulletinMapper postBulletinMapper;

    /**
     * 查询通知公告管理;
     *
     * @param noticeId 通知公告管理;
     * @return 通知公告管理;
     */
    @Override
    public PostBulletin selectPostBulletinByNoticeId(Integer noticeId)
    {
        return postBulletinMapper.selectPostBulletinByNoticeId(noticeId);
    }

    /**
     * 查询通知公告管理;
     *
     * @param postBulletin 通知公告管理;
     * @return 通知公告管理;
     */
    @Override
    public List<PostBulletin> selectPostBulletinList(PostBulletin postBulletin)
    {
        return postBulletinMapper.selectPostBulletinList(postBulletin);
    }

    /**
     * 新增通知公告管理; InnoDB free: 8192 kB
     *
     * @param postBulletin 通知公告管理;
     * @return 结果
     */
    @Override
    public int insertPostBulletin(PostBulletin postBulletin)
    {
        postBulletin.setCreateTime(DateUtils.getNowDate());
        return postBulletinMapper.insertPostBulletin(postBulletin);
    }

    /**
     * 修改通知公告管理;
     *
     * @param postBulletin 通知公告管理;
     * @return 结果
     */
    @Override
    public int updatePostBulletin(PostBulletin postBulletin)
    {
        postBulletin.setUpdateTime(DateUtils.getNowDate());
        return postBulletinMapper.updatePostBulletin(postBulletin);
    }

    /**
     * 批量删除通知公告管理;
     *
     * @param noticeIds 需要删除的通知公告管理;
     * @return 结果
     */
    @Override
    public int deletePostBulletinByNoticeIds(Integer[] noticeIds)
    {
        return postBulletinMapper.deletePostBulletinByNoticeIds(noticeIds);
    }

    /**
     * 删除通知公告管理;
     *
     * @param noticeId 通知公告管理;
     * @return 结果
     */
    @Override
    public int deletePostBulletinByNoticeId(Integer noticeId)
    {
        return postBulletinMapper.deletePostBulletinByNoticeId(noticeId);
    }
}